## linux-ubuntu-modules-2.6.24 2.6.24-19.28

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.28) hardy-proposed; urgency=low

  [Amit Kucheria]

  * LPIA: Update Poulsbo DRM driver to 2.0.1.32L.0016
    - LP: #240939

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jun 2008 10:53:08 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-19.27) hardy-proposed; urgency=low

  [Amit Kucheria]

  * LPIA: Update Poulsbo DRM driver to PV
  * Poulsbo: Sync to Bugfix release 2.0.0.32L.0015

  [Stefan Bader]

  * SAUCE: md: Rename dm-raid4-5 module to dm-raid45
    - LP: #220493

  [Tim Gardner]

  * [ALSA] hda-codec - Fix Master volume on HP dv8000
    - LP: #200792

  [Upstream Kernel Changes]

  * [ALSA] hda-codec - Add docking-station mic input for Thinkpad X61
    - LP: #190071
  * [ALSA] hda-codec - Fix Master volume on HP dv8000
    - LP: #200792

  [Xiaoyang Yu]

  * intel-agp-ich9m: Intel agp driver with just ICH9M IDs enabled
    new hardware enablement.

  [Yong Wang]

  * e1000e-ich9m: Intel v0.2.9.5 driver with just ICH9M IDs enabled
    new hardware enablement.

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 11 May 2008 20:02:39 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-18.26) hardy-security; urgency=low

  * security upload with ABI bump to -18

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 07:50:22 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-17.25) hardy-proposed; urgency=low

  [Tim Gardner]

  * Fix build issues for saa7134-alsa.ko and cx88-alsa.ko
    - LP: #226063

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 05 May 2008 06:59:47 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-17.24) hardy-proposed; urgency=low

  [Colin Ian King]

  * Allow unionfs to chown a hardlinked file on a ro filesystem
    - LP: #224754

  [Stefan Bader]

  * sound: Include config.h and config1.h into lum headers. This enables
    third party modules to be built correctly against LUM ALSA headers.
    This fix is a follow-on to the work done to correclty build cx88/saa1734
    alsa modules.

  [Tim Gardner]

  * Removed cx88/saa1734 media modules. Only build ALSA modules for these devices.
    Building the media modules in LUM was causing problems for Mythbuntu
    when they upgraded kernel video modules. They aren't needed in LUM
    and have no ALSA dependencies. The cx88/saa1734 kernel modules are
    indentical to those that were being built in LUM.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Apr 2008 09:10:17 -0600

=== debian/control ===
Source: linux-ubuntu-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-19-386 [i386], linux-headers-2.6.24-19-generic [i386 amd64], linux-headers-2.6.24-19-hppa32 [hppa], linux-headers-2.6.24-19-hppa64 [hppa], linux-headers-2.6.24-19-itanium [ia64], linux-headers-2.6.24-19-lpia [lpia], linux-headers-2.6.24-19-lpiacompat [lpia], linux-headers-2.6.24-19-mckinley [ia64], linux-headers-2.6.24-19-openvz [i386 amd64], linux-headers-2.6.24-19-powerpc [powerpc], linux-headers-2.6.24-19-powerpc-smp [powerpc], linux-headers-2.6.24-19-powerpc64-smp [powerpc], linux-headers-2.6.24-19-rt [i386 amd64], linux-headers-2.6.24-19-server [i386 amd64], linux-headers-2.6.24-19-sparc64 [sparc], linux-headers-2.6.24-19-sparc64-smp [sparc], linux-headers-2.6.24-19-virtual [i386], linux-headers-2.6.24-19-xen [i386 amd64]

Package: linux-ubuntu-modules-2.6.24-19-386
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-19-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-386
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-19-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-generic
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: rhcs-modules2-1
Depends: linux-image-2.6.24-19-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-hppa32
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-hppa64
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-itanium
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-19-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-lpia
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-19-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat for x86-compatible
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat for x86-compatible.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-lpiacompat
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-mckinley
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-19-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-openvz
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-19/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-19-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-19-powerpc
Architecture: powerpc
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-powerpc
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook4

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook4) hardy; urgency=low

  [Michael Frey]

  * Added a PCI Quirk for CW020 codec

 -- Michael Frey <michael.frey@canonical.com>  Wed, 16 Jul 2008 16:07:32 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook3) hardy; urgency=low

  [Michael Frey]

  * Added support for ALC269_CW020 in patch_realtek.c

 -- Michael Frey <michael.frey@canonical.com>  Wed, 16 Jul 2008 15:37:55 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook2) hardy; urgency=low

  [Amit Kucheria]

  * Poulsbo: Update DRM driver to 2.0.0.32L.0019
  * Bug: #244886

 -- Michael Frey <michael.frey@canonical.com>  Thu, 10 Jul 2008 15:31:46 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook1) hardy; urgency=low

  [Michael Krufky]

  * sms1xxx: mark functions static, disable unused functions
  * sms1xxx: simplify smsusb_init_device switch..case block
  * sms1xxx: add capability to define device-specific firmware filenames
  * sms1xxx: add support for Hauppauge 55xxx firmware
    - LP: #243430
  * sms1xxx: fix smsusb_driver.name and MODULE_DESCRIPTION
  * sms1xxx: remove kmutex_t typedef
  * sms1xxx: log firmware download process by default
  * sms1xxx: fix warning: format '%d' expects type 'int', but argument x
    has type 'size_t'
  * sms1xxx: fix OOPS on 64 bit kernels due to a bad cast
    - LP: #244005

  [Stefan Bader]

  * Adding support for HVR950G
    - LP: #241628

  [Tim Gardner]

  * Add Siano SMS10xx USB dvb tuner driver
    - LP: #241745
  * prevent false-positive lock status
    - LP: #241981
  * xc5000: firmware loading optimizations
    - LP: #242169

  [Michael Frey]

  * Firmware for DVB-T USB 5xxxx devices
  * Firmware for Hauppauge DVB drivers.
  * Fix for sound not working on resume (LP#239615)
  * Changed drom module to drm_psb so not to conflict with in kernel module
  * Remove lpiacompat from build
  * Default netbook lipa config

 -- Michael Frey <michael.frey@canonical.com>  Mon, 07 Jul 2008 13:40:50 +0100

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook5

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook5) hardy; urgency=low

  [Michael Frey]

  * Fix for QH Codec verb table (LP#248678)

 -- Michael Frey <michael.frey@canonical.com>  Tue, 05 Aug 2008 10:44:55 -0400

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook6

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook6) hardy; urgency=low

  [Michael Frey]

  * Bumped release.  Build against newest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Mon, 08 Sep 2008 12:52:34 -0400

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook7

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook7) hardy; urgency=low

  [Michael Frey]

  * Patch to patch-realtek.c to enable microphone support on Toshiba
    netbook

 -- Michael Frey <michael.frey@canonical.com>  Wed, 17 Sep 2008 14:25:57 -0400

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook10

=== ubuntu/media/Makefile ===
#
# All media drivers should use the lum version of the alsa headers
#
NOSTDINC_FLAGS			+= -I$(src)/../sound/alsa-driver/include
NOSTDINC_FLAGS			+= -include config.h

include $(src)/../.config

obj-$(CONFIG_GSPCA)		+= gspcav1/
obj-$(CONFIG_USB_OV511_NEW)	+= ov511/
obj-$(CONFIG_QUICKCAM)		+= quickcam/
obj-$(CONFIG_USB_UVCCAM)	+= usbvideo/
ifeq ($(CONFIG_PPC64),)
obj-$(CONFIG_LIRC_DEV)		+= lirc/
endif
obj-$(CONFIG_DRM_PSB)		+= drm-poulsbo/
obj-$(CONFIG_STK11XX)		+= stk11xx/

obj-$(CONFIG_CX88)		+= cx88/
obj-$(CONFIG_SAA7134)		+= saa7134/

obj-$(CONFIG_VIDEO_AU0828)	+= au0828/

obj-$(CONFIG_DVB_SIANO_SMS1XXX)	+= sms1xxx/

=== ubuntu/media/drm-poulsbo/Makefile ===
obj-m += drm_psb.o
obj-m += psb.o

drm_psb-objs := drm_auth.o drm_bufs.o drm_context.o drm_dma.o drm_drawable.o \
		drm_drv.o drm_fops.o drm_ioctl.o drm_irq.o \
		drm_lock.o drm_memory.o drm_proc.o drm_stub.o drm_vm.o \
		drm_sysfs.o drm_pci.o drm_agpsupport.o drm_scatter.o \
		drm_memory_debug.o ati_pcigart.o drm_sman.o \
		drm_hashtab.o drm_mm.o drm_object.o drm_compat.o \
		drm_fence.o drm_ttm.o drm_bo.o drm_bo_move.o drm_bo_lock.o \
		drm_crtc.o drm_edid.o drm_modes.o drm_regman.o

psb-objs := psb_drv.o psb_mmu.o psb_sgx.o psb_irq.o psb_fence.o psb_buffer.o \
		psb_gtt.o psb_setup.o psb_i2c.o psb_fb.o psb_msvdx.o \
		psb_msvdxinit.o psb_regman.o psb_reset.o psb_scene.o \
		psb_schedule.o psb_xhw.o

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook10) hardy; urgency=low

  [Michael Frey]

  * Patched alsa-kernel/pci/hda/patch_realtek.com
  * Added support for YM (Menlow / Poulsbo) internal Mic.

 -- Michael Frey <michael.frey@canonical.com>  Tue, 21 Oct 2008 10:13:27 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook9) hardy; urgency=low

  [Michael Frey]

  * Fixes for psb drm module
  * Fix for memory leak related to suspend / resume
  * Fix for console locking race condition related to suspend / resume

 -- Michael Frey <michael.frey@canonical.com>  Fri, 10 Oct 2008 14:09:56 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook8) hardy; urgency=low

  [Matthew Ranostay]

  * ALSA: patch_sigmatel: add support for iPhone-style headset.
  * ALSA: patch_sigmatel: enable inputs for Harbour.
  * ALSA: patch_sigmatel: add support for 92HD75 codec & fix phase delay.
  * ALSA: patch_sigmatel: fix inputs on Harbour ( vref port E problem ).

  [Tony Espy]

  * ALSA: patch_sigmatel: fix trailing ':' syntax error.

 -- Tony Espy <espy@canonical.com>  Wed, 01 Oct 2008 22:19:21 +0000

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook11

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook11) hardy; urgency=low

  [Michael Frey]

  * Better fix for YM Internal Mic.  No longer break headphone jack
    autodetect.

 -- Michael Frey <michael.frey@canonical.com>  Wed, 22 Oct 2008 11:43:19 -0400

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook12

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook12) hardy; urgency=low

  [Michael Frey]
	
  * No Changes -- Rebuilt against new kernel headers

 -- Michael Frey <michael.frey@canonical.com>  Fri, 24 Oct 2008 19:41:48 -0400

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook13

=== ubuntu/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_ACER_ACPI)		+= acpi/acer_acpi/
obj-$(CONFIG_INPUT_FSC_BTNS)	+= misc/fsc_btns.o
obj-$(CONFIG_ALSA)      	+= sound/
obj-$(CONFIG_BLK_DEV_DRBD)      += block/drbd/
obj-$(CONFIG_BLK_ISCSITARGET)	+= block/iscsitarget/
obj-$(CONFIG_AMT_HECI)		+= misc/heci/
obj-$(CONFIG_BLK_DEV_GNBD)	+= misc/gnbd.o
obj-$(CONFIG_BLK_DEV_DM_BBR)	+= misc/dm-bbr.o
obj-$(CONFIG_SND_BTSCO)		+= snd-bt-sco.o
obj-$(CONFIG_INPUT_ACERHK)	+= misc/acerhk.o
obj-$(CONFIG_AVERATEC_5100P)	+= misc/av5100.o
obj-$(CONFIG_PACKARDBELL_E5)	+= misc/pbe5.o
obj-$(CONFIG_LMPCM_USB)		+= misc/lmpcm_usb.o
obj-$(CONFIG_NOZOMI)		+= misc/nozomi.o

obj-$(CONFIG_NDISWRAPPER)	+= misc/ndiswrapper/
obj-$(CONFIG_MOL)		+= misc/mol/

snd-bt-sco-objs			:= misc/btsco.o
#
# The btsco driver should ultimately be incorportated into the ALSA tree
# or deprecated. At the moment, we need to force the following build options to 
# make sure that struct snd_pcm_str in pcm.h is in sync with the ALSA build configs.
#
CFLAGS_btsco.o += -I$(src)/sound/alsa-driver/include -DCONFIG_SND_VERBOSE_PROCFS -DCONFIG_SND_PCM_OSS_MODULE

CFLAGS_dm-bbr.o			+= -I$(srctree)/drivers/md

ifneq ($(UBUNTU_FLAVOUR),openvz)
obj-$(CONFIG_AUFS)		+= fs/aufs/
endif

obj-$(CONFIG_ASFS_FS)		+= fs/asfs/
ifneq ($(UBUNTU_FLAVOUR),rt)
obj-$(CONFIG_GFS_FS)		+= fs/gfs/
endif
obj-$(CONFIG_SQUASHFS)		+= fs/squashfs/
obj-$(CONFIG_UNION_FS)		+= fs/unionfs/

obj-$(CONFIG_USB_APPLEIR)	+= mactel/appleir.o

obj-m				+= media/

obj-$(CONFIG_NET_ATL2)		+= net/atl2/

obj-$(CONFIG_NET_ACX)		+= wireless/acx/
obj-$(CONFIG_IWLWIFI)		+= wireless/iwlwifi/
obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/

ifneq ($(CONFIG_PRISM2_USB),)
obj-m				+= wireless/p80211/
endif

obj-$(CONFIG_IPW2100_FS_AMILO_M7400) += wireless/fsam7400.o

obj-$(CONFIG_MMC_SD8686)       += wireless/marvell/8686_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_bt/

obj-$(CONFIG_ET131X)		+= net/et131x/
obj-$(CONFIG_IGB)		+= net/igb/
obj-$(CONFIG_E1000E_ICH9M)	+= net/e1000e-ich9m/

obj-$(CONFIG_TP_SMAPI)		+= misc/tp_smapi.o
obj-$(CONFIG_TP_SMAPI_EC)	+= misc/thinkpad_ec.o
obj-$(CONFIG_TP_SMAPI_HDAPS)	+= hwmon/hdaps_ec.o

obj-$(CONFIG_DMRAID45)		+= md/

obj-$(CONFIG_AGP_INTEL_ICH9M)	+= char/intel-agp-ich9m/

=== ubuntu/mactel/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

obj-m	+= appleir.o

=== ubuntu/acpi/acer_acpi/Makefile ===
obj-m += wmi-acer.o acer_acpi.o

=== ubuntu/block/drbd/Makefile ===
#CFLAGS_drbd_sizeof_sanity_check.o = -Wpadded # -Werror

drbd-objs  :=	drbd_buildtag.o drbd_bitmap.o drbd_proc.o \
		drbd_worker.o drbd_receiver.o drbd_req.o drbd_actlog.o \
		lru_cache.o drbd_main.o drbd_strings.o drbd_nl.o

obj-m     += drbd.o

=== ubuntu/block/iscsitarget/Makefile ===
obj-m		+= iscsi_trgt.o
iscsi_trgt-objs	:= tio.o iscsi.o nthread.o wthread.o config.o digest.o \
			conn.o session.o target.o volume.o iotype.o \
			file-io.o null-io.o target_disk.o event.o param.o \
			block-io.o

=== ubuntu/char/intel-agp-ich9m/Makefile ===
agpgart-y := backend.o frontend.o generic.o isoch.o

agpgart-$(CONFIG_COMPAT)	+= compat_ioctl.o

obj-$(CONFIG_AGP)		+= agpgart.o
obj-m				+= intel-agp-ich9m.o

=== ubuntu/fs/asfs/Makefile ===
#
# Makefile for the linux asfs filesystem routines.
#

obj-m += asfs.o

asfs-y += dir.o extents.o file.o inode.o namei.o nodes.o objects.o super.o symlink.o
asfs-$(CONFIG_ASFS_RW) += adminspace.o bitfuncs.o

=== ubuntu/media/sms1xxx/Makefile ===
include $(src)/../../.config

sms1xxx-objs := smscoreapi.o smsusb.o smsdvb.o sms-cards.o

obj-$(CONFIG_DVB_SIANO_SMS1XXX) += sms1xxx.o

EXTRA_CFLAGS += -Idrivers/media/dvb/dvb-core

EXTRA_CFLAGS += $(extra-cflags-y) $(extra-cflags-m)

=== ubuntu/media/stk11xx/Makefile ===

stk11xx-objs := stk11xx-usb.o stk11xx-v4l.o stk11xx-sysfs.o stk11xx-dev.o stk11xx-buf.o stk11xx-bayer.o

stk11xx-objs += stk11xx-dev-a311.o
stk11xx-objs += stk11xx-dev-a821.o
stk11xx-objs += stk11xx-dev-6a31.o
stk11xx-objs += stk11xx-dev-6a33.o
stk11xx-objs += stk11xx-dev-6a51.o
stk11xx-objs += stk11xx-dev-6a54.o

obj-m += stk11xx.o

=== ubuntu/media/usbvideo/Makefile ===
obj-m		:= uvcvideo.o
uvcvideo-objs   := uvc_driver.o uvc_queue.o uvc_v4l2.o uvc_video.o uvc_ctrl.o uvc_status.o uvc_isight.o uvc_isight_firmware.o

=== ubuntu/net/e1000e-ich9m/Makefile ===
################################################################################
#
# Intel PRO/1000 Linux driver
# Copyright(c) 1999 - 2008 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Linux NICS <linux.nics@intel.com>
# e1000-devel Mailing List <e1000-devel@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

obj-m += e1000e-ich9m.o
e1000e-ich9m-objs := netdev.o ethtool.o param.o 82571.o ich8lan.o es2lan.o phy.o lib.o kcompat.o

=== ubuntu/net/et131x/Makefile ===
CFILES += ET1310_eeprom.c
CFILES += ET1310_jagcore.c
CFILES += ET1310_mac.c
CFILES += ET1310_phy.c
CFILES += ET1310_pm.c
CFILES += ET1310_rx.c
CFILES += ET1310_tx.c
CFILES += et131x_config.c
CFILES += et131x_debug.c
CFILES += et131x_initpci.c
CFILES += et131x_isr.c
CFILES += et131x_main.c
CFILES += et131x_netdev.c
CFILES += et131x_supp.c

obj-m += et131x.o
et131x-objs := $(CFILES:.c=.o)

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook13) hardy; urgency=low

  [Michael Frey]

  * Fix for YM Mic noise. (LP#288545)  This patch also fixes internal Mic
    on Natick.

 -- Michael Frey <michael.frey@canonical.com>  Thu, 30 Oct 2008 13:21:44 -0400

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook14

=== ubuntu/Makefile ===
--- 
+++ 
@@ -76,3 +76,5 @@
 obj-$(CONFIG_DMRAID45)		+= md/
 
 obj-$(CONFIG_AGP_INTEL_ICH9M)	+= char/intel-agp-ich9m/
+
+obj-$(CONFIG_HP_MINI)		+= misc/hpmini.o

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook14) hardy; urgency=low

  [Colin Ian King]

  * HP mini wifi, ethernet, bluetooth and WWAN status monitoring and
    control driver
    - LP: #LP#270367
  * ALSA: snd_hda_intel - clear GPIO EAPD pin to mute external amplifier on
    shutdown
    - LP: #LP# 276175

 -- Tony Espy <espy@canonical.com>  Wed, 12 Nov 2008 00:24:45 +0000

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook14dennis1

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook14dennis1) hardy; urgency=low

  [Matthew Ranostay]

  * ALSA: hda: lower overall HDA output by -5.25dB ( LP: 3292231 ).

 -- Tony Espy <espy@canonical.com>  Tue, 17 Feb 2009 21:58:33 +0000

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook14dennis2

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook14dennis2) dennis; urgency=low

  [Matthew Ranostay]

  * ALSA: hda:  Add 83xx support and volume scaling ( LP: 333376 ).

 -- Tony Espy <espy@canonical.com>  Sat, 28 Feb 2009 22:53:28 +0000

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook16

=== ubuntu/fs/aufs/Makefile ===
#!/usr/bin/make -f
# Makefile for building the aufs module in Debian
# hack for l-u-m
ifndef KSRC
ifdef srctree
KSRC=$(srctree)
endif
endif
# Parts from conf.mk
# Configuration for aufs in Debian
export CONFIG_AUFS                = m
export CONFIG_AUFS_BRANCH_MAX_127 = y
export CONFIG_AUFS_RR_SQUASHFS    = y
export EXTRA_CFLAGS               = -I $(src)/include \
                                    -DCONFIG_AUFS_BRANCH_MAX_127  -UCONFIG_AUFS \
                                    -DCONFIG_AUFS_MODULE \
                                    -DCONFIG_AUFS_RR_SQUASHFS
# Disable sysaufs on ARM, as there is no cmpxchg
ifneq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),arm)
export CONFIG_AUFS_SYSAUFS  = y
export EXTRA_CFLAGS        += -DCONFIG_AUFS_SYSAUFS
endif

ifneq (,$(KSRC))
# see for ksize patch
ifneq (,$(shell grep '^.*[[:space:]]ksize[[:space:]]vmlinux[[:space:]]EXPORT_SYMBOL' $(KSRC)/Module.symvers))
export CONFIG_AUFS_KSIZE_PATCH = y
export EXTRA_CFLAGS        += -DCONFIG_AUFS_KSIZE_PATCH
endif
# see for lhash patch
ifneq (,$(shell grep '^.*[[:space:]]__lookup_hash[[:space:]]vmlinux[[:space:]]EXPORT_SYMBOL' $(KSRC)/Module.symvers))
export CONFIG_AUFS_LHASH_PATCH  = y
DISABLE_FAKE_DM=y
export EXTRA_CFLAGS        += -DCONFIG_AUFS_LHASH_PATCH
endif
# splice patch
ifneq (,$(shell grep '^.*[[:space:]]do_splice_from[[:space:]]vmlinux[[:space:]]EXPORT_SYMBOL' $(KSRC)/Module.symvers))
export CONFIG_AUFS_SPLICE_PATCH = y
export EXTRA_CFLAGS        += -DCONFIG_AUFS_SPLICE_PATCH
endif
# sysfs_get_dentry patch
ifneq (,$(shell grep '^.*[[:space:]]sysfs_get_dentry[[:space:]]vmlinux[[:space:]]EXPORT_SYMBOL' $(KSRC)/Module.symvers))
export CONFIG_AUFS_SYSFS_GET_DENTRY_PATCH = y
export EXTRA_CFLAGS        += -DCONFIG_AUFS_SYSFS_GET_DENTRY_PATCH
endif
# put_filp patch
ifneq (,$(shell grep '^.*[[:space:]]put_filp[[:space:]]vmlinux[[:space:]]EXPORT_SYMBOL' $(KSRC)/Module.symvers))
export CONFIG_AUFS_PUT_FILP_PATCH = y
export EXTRA_CFLAGS        += -DCONFIG_AUFS_PUT_FILP_PATCH
DISABLE_FAKE_DM=y
endif
# Check for sec_perm patch
ifneq (,$(shell grep '^.*[[:space:]]security_inode_permission[[:space:]]vmlinux[[:space:]]EXPORT_SYMBOL' $(KSRC)/Module.symvers))
export CONFIG_AUFS_SEC_PERM_PATCH = y
export EXTRA_CFLAGS        += -DCONFIG_AUFS_SEC_PERM_PATCH
endif
endif
# If lhash and put_filp are not available, activate FAKE_DM.
ifndef DISABLE_FAKE_DM
export CONFIG_AUFS_FAKE_DM  = y
export EXTRA_CFLAGS        += -DCONFIG_AUFS_FAKE_DM
endif

## INCLUDE UPSTREAM MAKEFILE
include $(src)/Makefile.upstream

=== ubuntu/media/au0828/Makefile ===
include $(src)/../../.config

au0828-objs	:= au0828-core.o au0828-i2c.o au0828-cards.o au0828-dvb.o

obj-$(CONFIG_VIDEO_AU0828) += au0828.o

obj-$(CONFIG_DVB_AU8522) += au8522.o

obj-$(CONFIG_MEDIA_TUNER_XC5000) += xc5000.o

EXTRA_CFLAGS += -Idrivers/media/dvb/dvb-core

EXTRA_CFLAGS += $(extra-cflags-y) $(extra-cflags-m)

=== ubuntu/media/gspcav1/Makefile ===
VERSION    = 01.00.20

DEFINES   += -DGSPCA_ENABLE_COMPRESSION
DEFINES   += -DVID_HARDWARE_GSPCA=0xFF -DGSPCA_VERSION=\"$(VERSION)\"

EXTRA_CFLAGS += $(DEFINES) 
obj-m += gspca.o
gspca-objs := gspca_core.o decoder/gspcadecoder.o

=== ubuntu/media/saa7134/Makefile ===
obj-m += saa7134-alsa.o

EXTRA_CFLAGS += -Idrivers/media/video
EXTRA_CFLAGS += -Idrivers/media/dvb/dvb-core
EXTRA_CFLAGS += -Idrivers/media/dvb/frontends

=== ubuntu/misc/heci/Makefile ===
obj-m += heci.o
heci-objs := heci_init.o heci_interface.o heci_main.o interrupt.o io_heci.o

=== ubuntu/misc/ndiswrapper/Makefile ===
OBJS := hal.o iw_ndis.o loader.o rtl.o ndis.o ntoskernel.o \
	ntoskernel_io.o pe_linker.o proc.o usb.o wrapper.o pnp.o \
	wrapndis.o wrapmem.o crt.o
EXTRA_CFLAGS += -DINIT_WORK_NAR

ifeq ($(CONFIG_NDISWRAPPER_WQ),y)
OBJS += workqueue.o
EXTRA_CFLAGS += -DWRAP_WQ
endif

ifeq ($(CONFIG_X86_64),y)
OBJS += win2lin_stubs.o
else
OBJS += divdi3.o
endif

obj-m := ndiswrapper.o
ndiswrapper-objs := $(OBJS)


targets :=	win2lin_stubs.h		\
		hal_exports.h 		\
		rtl_exports.h	 	\
		crt_exports.h		\
		ndis_exports.h 		\
		ntoskernel_exports.h 	\
		usb_exports.h 		\
		wrapper_exports.h	\
		ntoskernel_io_exports.h


$(obj)/win2lin_stubs.o: $(obj)/win2lin_stubs.h $(src)/win2lin_stubs.S
$(obj)/win2lin_stubs.h: $(src)/hal.c $(src)/rtl.c $(src)/ndis.c $(src)/crt.c \
		$(src)/ntoskernel.c $(src)/ntoskernel_io.c $(src)/pnp.c \
		$(src)/wrapndis.c $(src)/usb.c
	@for file in $^; do \
		echo; \
		echo "# automatically generated from $$file"; \
		sed -n \
			-e 's/.*WIN_FUNC(\([^\,]\+\) *\, *\([0-9]\+\)).*/\
			   win2lin(\1, \2)/p'   \
			-e 's/.*WIN_FUNC_PTR(\([^\,]\+\) *\, *\([0-9]\+\)).*/\
			   win2lin(\1, \2)/p'   \
			$$file | sed -e 's/[ \t      ]\+//' | sort -u; \
	done > $@


$(obj)/hal.o: $(obj)/hal_exports.h
$(obj)/hal_exports.h: $(src)/hal.c

$(obj)/rtl.o: $(obj)/rtl_exports.h
$(obj)/rtl_exports.h: $(src)/rtl.c

$(obj)/crt.o: $(obj)/crt_exports.h
$(obj)/crt_exports.h: $(src)/crt.c

$(obj)/ndis.o: $(obj)/ndis_exports.h
$(obj)/ndis_exports.h: $(src)/ndis.c

$(obj)/ntoskernel.o: $(obj)/ntoskernel_exports.h
$(obj)/ntoskernel_exports.h: $(src)/ntoskernel.c

$(obj)/usb.o: $(obj)/usb_exports.h
$(obj)/usb_exports.h: $(src)/usb.c

$(obj)/wrapper.o: $(obj)/wrapper_exports.h
$(obj)/wrapper_exports.h: $(src)/wrapper.c

$(obj)/ntoskernel_io.o: $(obj)/ntoskernel_io_exports.h
$(obj)/ntoskernel_io_exports.h: $(src)/ntoskernel_io.c


quiet_cmd_exports = EXPORTS $@
      cmd_exports = \
        ( \
                echo "/* automatically generated from $< */"; \
                echo '\#ifdef CONFIG_X86_64'; \
                sed -n \
                        -e 's/.*WIN_FUNC(\([^\,]\+\) *\, *\([0-9]\+\)).*/WIN_FUNC_DECL(\1, \2)/p' \
                        -e 's/.*WIN_FUNC_PTR(\([^\,]\+\) *\, *\([0-9]\+\)).*/WIN_FUNC_DECL(\1, \2)/p' \
                   $< | sed -e 's/[ \t  ]\+//' | sort -u; \
                echo '\#endif'; \
                echo "struct wrap_export $(shell basename $< .c)_exports[] = {";\
                sed -n \
                        -e 's/.*WIN_FUNC(_win_\([^\,]\+\) *\, *\([0-9]\+\)).*/WIN_WIN_SYMBOL(\1,\2),/p' \
                        -e 's/.*WIN_FUNC(\([^\,]\+\) *\, *\([0-9]\+\)).*/WIN_SYMBOL(\1,\2),/p' \
                        -e 's/.*WIN_SYMBOL_MAP(\("[^"]\+"\)[ ,\]\+\([^)]\+\)).*/{\1,(generic_func)\2},/p'  \
                           $< | sed -e 's/[ \t  ]*/   /' | sort -u; \
                echo '   {NULL, NULL}'; \
                echo '};'; \
        ) > $@

$(obj)/%_exports.h: $(src)/%.c
	$(call if_changed,exports)

=== ubuntu/wireless/acx/Makefile ===
EXTRA_CFLAGS = -DCONFIG_NET_ACX_PCI -DCONFIG_NET_ACX_USB

obj-m += acx.o

acx-objs := wlan.o conv.o ioctl.o common.o pci.o usb.o

=== ubuntu/wireless/iwlwifi/Makefile ===
obj-m += mac80211/compatible/net/mac80211/
obj-m += iwlwifi/compatible/

=== ubuntu/wireless/marvell/8688_wlan/Makefile ===
# File: Makefile
#
# (c) Copyright  2003-2006, Marvell International Ltd. 
#
# This software file (the "File") is distributed by Marvell International 
# Ltd. under the terms of the GNU General Public License Version 2, June 1991 
# (the "License").  You may use, redistribute and/or modify this File in 
# accordance with the terms and conditions of the License, a copy of which 
# is available along with the File in the gpl.txt file or by writing to 
# the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 
# 02111-1307 or on the worldwide web at http://www.gnu.org/licenses/gpl.txt.
#
# THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE 
# IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE 
# ARE EXPRESSLY DISCLAIMED.  The License provides additional details about 
# this warranty disclaimer.

#CC=		$(CROSS)gcc
#LD=		$(CROSS)ld
#BACKUP=		/root/backup
#YMD=		`date +%Y%m%d%H%M`

#############################################################################
# Configuration Options
#############################################################################

# Debug Option
# DEBUG LEVEL n/1/2:
# n: NO DEBUG
# 1: Only PRINTM(MSG,...), PRINTM(FATAL,...), ...
# 2: All PRINTM()
CONFIG_DEBUG=0

# Proc in /proc/net/wlan
CONFIG_PROC_DEBUG=y

# Re-association in driver
CONFIG_REASSOCIATION=y

# Manufacturing firmware support
CONFIG_MFG_CMD_SUPPORT=y

# Big-endian platform
CONFIG_BIG_ENDIAN=n

#############################################################################
# Select Platform Tools
#############################################################################

MODEXT = ko
EXTRA_CFLAGS += -I$(src)/wlan

LD += -S
KERNELVERSION_X86 := 	$(shell uname -r)


#############################################################################
# Compiler Flags
#############################################################################

	#EXTRA_CFLAGS += -I$(KERNELDIR)/include

	EXTRA_CFLAGS += -DFPNUM='"38"'

ifeq ($(CONFIG_DEBUG),1)
	EXTRA_CFLAGS += -DDEBUG_LEVEL1
endif

ifeq ($(CONFIG_DEBUG),2)
	EXTRA_CFLAGS += -DDEBUG_LEVEL1
	EXTRA_CFLAGS += -DDEBUG_LEVEL2
	DBG=	-dbg
endif

ifeq ($(CONFIG_PROC_DEBUG),y)
	EXTRA_CFLAGS += -DPROC_DEBUG
	export CONFIG_PROC_DEBUG
endif

ifeq ($(CONFIG_REASSOCIATION),y)
	EXTRA_CFLAGS += -DREASSOCIATION
endif

ifeq ($(CONFIG_MFG_CMD_SUPPORT),y)
	EXTRA_CFLAGS += -DMFG_CMD_SUPPORT
endif

ifeq ($(CONFIG_BIG_ENDIAN),y)
	EXTRA_CFLAGS += -DBIG_ENDIAN
endif

#############################################################################
# Make Targets
#############################################################################

ifneq ($(KERNELRELEASE),)

WLANOBJS =	wlan/wlan_main.o wlan/wlan_init.o wlan/wlan_wext.o \
		wlan/wlan_rx.o wlan/wlan_tx.o \
		wlan/wlan_cmd.o wlan/wlan_cmdresp.o \
		wlan/wlan_scan.o wlan/wlan_join.o

WLANOBJS += wlan/wlan_wmm.o
WLANOBJS += wlan/wlan_11d.o
WLANOBJS += wlan/wlan_11h.o
WLANOBJS += wlan/wlan_meas.o

ifdef CONFIG_PROC_FS
WLANOBJS += wlan/wlan_proc.o
ifeq ($(CONFIG_PROC_DEBUG), y)
WLANOBJS += wlan/wlan_debug.o
endif
endif

WLANOBJS += wlan/wlan_sdio.o
obj-m := 8688_a2.o
8688_a2-objs := $(WLANOBJS)

# Otherwise we were called directly from the command line; invoke the kernel build system.
else

default:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

endif

###############################################################

export		CC LD EXTRA_CFLAGS KERNELDIR

.PHONY: app/wlanconfig wlan clean distclean


	@echo "Finished Making Marvell Wlan Linux Driver"

wlan app/wlanconfig:
	$(MAKE) -C $@

echo:
	@echo "Please make sure the following are done before building:"
	@echo "	1. Modify wlan/wlan_drv.h to set correct version number"
	@echo "	2. Update the README"

build:		echo default

	@if [ ! -d $(BINDIR) ]; then \
		mkdir $(BINDIR); \
	fi 
	cp -f 8688_a2.$(MODEXT) $(BINDIR)/sd8688$(DBG).$(MODEXT)

	cp -f README $(BINDIR)
	$(MAKE) -C app/wlanconfig $@ INSTALLDIR=$(BINDIR)
	cp -r config $(BINDIR)

clean:
	-find . -name "*.o" -exec rm {} \;
	-find . -name "*.ko" -exec rm {} \;
	-find . -name ".*.cmd" -exec rm {} \;
	-find . -name "*.mod.c" -exec rm {} \;
	-find . -name "Module.symvers" -exec rm {} \;
	-rm -rf .tmp_versions
	$(MAKE) -C app/wlanconfig $@

install: default

	cp -f io/sdio/$(PLATFORM)/sdio.$(MODEXT) $(INSTALLDIR)
	$(MAKE) -C app/wlanconfig $@ INSTALLDIR=$(INSTALLDIR)
	cp -f 8688_a2.$(MODEXT) $(INSTALLDIR)/sd8688$(DBG).$(MODEXT)
	echo "sd8688 Driver Installed"

distclean:
	-find . -name "*.o" -exec rm {} \;
	-find . -name "*.orig" -exec rm {} \;
	-find . -name "*.swp" -exec rm {} \;
	-find . -name "*.*~" -exec rm {} \;
	-find . -name "*~" -exec rm {} \;
	-find . -name "*.d" -exec rm {} \;
	-find . -name "*.a" -exec rm {} \;
	-find . -name "tags" -exec rm {} \;
	-find . -name ".*" -exec rm -rf 2> /dev/null \;
	-find . -name "*.ko" -exec rm {} \;
	-find . -name ".*.cmd" -exec rm {} \;
	-find . -name "*.mod.c" -exec rm {} \;
	-rm -rf .tmp_versions
	$(MAKE) -C app/wlanconfig $@

# End of file

=== ubuntu/sound/alsa-driver/isa/sb/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

export-objs  := emu8000.o sb_common.o sb8_main.o sb16_main.o sb16_csp.o

isapnp-files := es968.isapnp sb16.isapnp sbawe.isapnp

clean-files := sb16_csp.c

include $(SND_TOPDIR)/alsa-kernel/isa/sb/Makefile

include $(SND_TOPDIR)/Rules.make

sb16_csp.c: sb16_csp.patch $(SND_TOPDIR)/alsa-kernel/isa/sb/sb16_csp.c

=== ubuntu/sound/alsa-driver/pci/asihpi/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

snd-asihpi-objs := asihpi.o hpimod.o hpimsginit.o\
	hpicmn.o hpifunc.o hpidebug.o hpidspcd.o\
	hpios_linux_kernel.o hpi4000.o hpi6000.o hpi6205.o hpimsgx.o

obj-$(CONFIG_SND_ASIHPI) += snd-asihpi.o

include $(SND_TOPDIR)/Rules.make

=== ubuntu/sound/alsa-driver/pci/pdplus/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

snd-pdplus-objs := pdplus.o

obj-$(CONFIG_SND_PDPLUS) += snd-pdplus.o

include $(SND_TOPDIR)/Rules.make

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook16) hardy; urgency=low

  [Michael Frey]

  * alsa-kernel/pci/hda/patch_realtek.c.  Added support for Sears Tower PCI
    ID

 -- Michael Frey <michael.frey@canonical.com>  Thu, 13 Nov 2008 15:37:49 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook15) hardy; urgency=low

  [Michael Frey]

  * New psb drm driver from Intel.  Version 2.2.0.32L.0020

 -- Michael Frey <michael.frey@canonical.com>  Thu, 13 Nov 2008 14:54:53 -0500

## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook18

=== ubuntu/Makefile ===
--- 
+++ 
@@ -54,6 +54,9 @@
 obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
 obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
 obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/
+obj-$(CONFIG_HSO)		+= wireless/hso/
+obj-$(CONFIG_RTL8185)		+= wireless/ieee80211-rtl/
+obj-$(CONFIG_RTL8185)		+= wireless/rtl8185/
 
 ifneq ($(CONFIG_PRISM2_USB),)
 obj-m				+= wireless/p80211/

=== ubuntu/wireless/hso/Makefile ===
#
# Makefile for the Linux WWAN device drivers.
#
# NOTE: This make file can serve as both an external Makefile (launched
#       directly by the user), or as the sub-dir Makefile used by the kernel
# 	build system.

# If CONFIG_HSO isn't set, we'll assume the user has never configured
# their kernel to include this module and set up some defaults.
#
# NOTE: If you have previously added the HSO project to your kernel 
# 	and configured it for inclusion, these settings will be 
#	overridden by your kernel configuration.
EXTERNAL_BUILD=y
CONFIG_HSO_DEBUG=n


ifeq ($(CONFIG_HSO_DEBUG),y)
	EXTRA_CFLAGS += -g -Wa,-adhlms=$@.lst
endif

ifdef KBUILD_EXTMOD
	EXTRA_CFLAGS += -I$(KBUILD_EXTMOD)
endif

ifdef CONFIG_HSO_DEBUG
EXTRA_CFLAGS += -DCONFIG_HSO_DEBUG=$(CONFIG_HSO_DEBUG)
endif

obj-m += hso.o

=== ubuntu/wireless/ieee80211-rtl/Makefile ===
EXTRA_CFLAGS += -I$(TOPDIR)/drivers/net/wireless
EXTRA_CFLAGS += -O2

EXTRA_CFLAGS += -DTHOMAS_TURBO
EXTRA_CFLAGS += -DENABLE_IPS


#+YJ,080626
EXTRA_CFLAGS += -DENABLE_DOT11D


ieee80211-rtl-objs := dot11d.o ieee80211_softmac.o ieee80211_rx.o ieee80211_tx.o ieee80211_wx.o ieee80211_module.o ieee80211_softmac_wx.o

ieee80211_crypt-rtl-objs := ieee80211_crypt.o
ieee80211_crypt_tkip-rtl-objs := ieee80211_crypt_tkip.o
ieee80211_crypt_ccmp-rtl-objs := ieee80211_crypt_ccmp.o
ieee80211_crypt_wep-rtl-objs := ieee80211_crypt_wep.o

obj-m +=ieee80211-rtl.o
obj-m +=ieee80211_crypt-rtl.o
obj-m +=ieee80211_crypt_wep-rtl.o
obj-m +=ieee80211_crypt_tkip-rtl.o
obj-m +=ieee80211_crypt_ccmp-rtl.o

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook18) hardy; urgency=low

  [Adrian Bunk]

  * sms1xxx: dvb/siano/: cleanups

  [Michael Krufky]

  * sms1xxx: add functions to configure and set gpio
  * sms1xxx: turn off LEDs after initialization of Hauppauge WinTV
    MiniStick
  * sms1xxx: enable power LED on Hauppauge WinTV MiniStick
    - LP: #301405
  * sms1xxx: fix invalid unc readings
  * sms1xxx: enable signal quality indicator LEDs on Hauppauge WinTV
    MiniStick
    - LP: #301405
  * sms1xxx: enable LNA control on Hauppauge WinTV MiniCard
    - LP: #301204

 -- Michael Frey <michael.frey@canonical.com>  Mon, 24 Nov 2008 13:22:45 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook17) hardy; urgency=low

  [Michael Krufky]

  * au0828: add new USB IDs for HVR950Q
    - LP: #299634
  * sms1xxx: fix product name for Hauppauge WinTV MiniStick
    - LP: #299640
  * sms1xxx: Add new USB product ID for Hauppauge WinTV MiniStick
    - LP: #299636
  * sms1xxx: support two new revisions of the Hauppauge WinTV MiniStick
    - LP: #299636
  * sms1xxx: use new firmware for Hauppauge WinTV MiniStick
    - LP: #299671
  * sms1xxx: add USB IDs for Hauppauge WinTV MiniCard DVB-T
    - LP: #299680
  * sms1xxx: add autodetection support for Hauppauge WinTV MiniCard
    2040:200a
    - LP: #299680

  [Michael Frey]

  * Fix for headphone detect on ALC269 codecs LP: 286260
  * New firmware for Hauppauge DVB-T USB sticks
  * Add Option USB 3G driver. LP: 296975
  * Add wireless RTL8185 Realtek driver.  LP: 296981
  * Added options for building HSO and RTL drivers
  * Added default options to build both HSO and RTL drivers

 -- Michael Frey <michael.frey@canonical.com>  Fri, 21 Nov 2008 15:02:34 -0500
